darcs

Issue 2413 view a Darcs patch file as if it were applied in a repo

Title view a Darcs patch file as if it were applied in a repo
Priority wishlist Status given-up
Milestone Resolved in
Superseder Nosy List bf
Assigned To
Topics

Created on 2014-11-09.14:48:50 by bf, last changed 2017-07-31.01:32:47 by gh.

Messages
msg17766 (view) Author: bf Date: 2014-11-09.14:48:48
It would be pretty cool if I could view a Darcs patch file in the same
way I can view a recorded change. That is, as if I had applied it, but
without actually having to apply it. Perhaps in the form of an extra
switch --apply PATCHFILE (which could be given more than once) for
commands like changes and diff.
msg17937 (view) Author: netogallo Date: 2015-01-15.16:21:55
Sounds like a good idea. I will try to implement it (no guarantees on
when I will finish). I was considering an approach that writes the
output to the stdout with a flag that allows the change to be written to
a provided path or to show it in $EDITOR (not sure if this workin on
Windows though). For now I will restrict the scope to single files
although I will have in mind that in the future, allowing that for full
directoires might be nice.
msg17938 (view) Author: ganesh Date: 2015-01-15.23:14:57
What would the feature offer over reading the patch file by hand (which 
is admittedly rather a hack)? Is it things like context/ability to use 
an external diff tool?
msg17943 (view) Author: bf Date: 2015-01-23.15:45:31
Yes, using a graphical diff viewer like kompare is the main feature
here. These viewers tend to choke on the raw darcs patch due to the
extra darcs specific context header.
History
Date User Action Args
2014-11-09 14:48:50bfcreate
2015-01-15 16:21:56netogallosetmessages: + msg17937
2015-01-15 23:14:59ganeshsetmessages: + msg17938
2015-01-23 15:45:33bfsetmessages: + msg17943
2017-07-31 01:32:47ghsetstatus: unknown -> given-up